#ifndef UNIT_H
#define UNIT_H

#include "abstractjsonresttreemodel.h"
#include "api/Voip.h"

class Unit : public AbstractJsonRestTreeModel
{
		Q_OBJECT
	public:
		explicit Unit ( QObject *parent = 0 );

		static void declareQML()
		{
			AbstractJsonRestTreeModel::declareQML();
			qmlRegisterType<Unit> ( "ru.mephi.devel.dyokunev.mobileVoipClient.models.unit", 0, 1, "Unit" );
		}

	protected:
		QNetworkReply *fetchMoreImpl ( const QModelIndex &parent );
		QNetworkReply *fetchDetailImpl ( QString id );
		//QVariantMap preProcessItem ( QVariantMap item );
		QVariantList getVariantList ( QByteArray bytes ) Q_DECL_OVERRIDE;
		//bool doInsertItems(const QVariantList &values) Q_DECL_OVERRIDE;
		void preModelEndInsertRows ();

	signals:

	public slots:
		void setIsClickableOnChange( RestTreeItem *item );

};

#endif // UNIT_H
