import QtQuick 2.0
import QtQuick.Controls 2.0

Popup {
	id: popup
	x: 50
	y: 50
	width: parent.width-100
	height: parent.height-100
	//modal: true
	focus: true
	closePolicy: Popup.CloseOnEscape | Popup.CloseOnPressOutsideParent

	property alias textField: textField

	TextArea {
		id: textField
		width: parent.width
		height: parent.height
		wrapMode: TextEdit.WordWrap
		font.pixelSize: (width+height)/30
	}

	Button {
		id: ignoreButton
		text: "Игнорировать"
		onClicked: {
			popup.focus = false
			popup.modal = false
			popup.x=-1
			popup.y=-1
			popup.width=0
			popup.height=0
			popup.close()
		}
		x: parent.width - 240
		y: parent.height - 50
	}

	Button {
		id: closeButton
		text: "Закрыть"
		onClicked: popup.close()
		x: parent.width - 120
		y: parent.height - 50
	}
}
