import ru.mephi.devel.dyokunev.mobileVoipClient.models.unit 0.1

import "../api"

Unit {
	id: unitModel;
	api: voipAPI

    idField: 'CodeStr'
	childrenField: 'Children'

	fields: ['CodeStr','Name','ParentsCodeStr', 'Code', 'AppointmentsOrder', 'ExtId', 'Children', 'HasSubscribers', 'HasSubscribersRecursive', 'HasSubscribersRecursiveValid', 'Appointments', 'AppointmentsForRender']

	signal selectionChanged()

	function findByQuery(query) {
		var rootIndex = unitModel.getRootIndex()
		return unitModel.getIndexesByFieldValue_recursive("Name", query, 3, rootIndex).concat(unitModel.getIndexesByFieldValue_recursive("Shortname", query, 3, rootIndex)).concat(unitModel.getIndexesByFieldValue_recursive("CodeStr", query, 3, rootIndex))
	}
}
