import QtQuick 2.0

import "helpers" as ViewHelpers
import "../models" as Models

ViewHelpers.List {
	id: subscribersList
	anchors.fill: parent

	itemModel: Models.Subscriber{}

	itemList.delegate: Item {
		id: itemDelegate
		height: 67
		Image {
			width: 50
			height: 67
			source: typeof(PhotoUrl) == "undefined" ? "https://voip.mephi.ru/public/photos/-20679_1463067815691209124_Dispetcherskaia_No%20Photo%20Man.png" : "https://voip.mephi.ru"+PhotoUrl
		}
		Text {
			x: 60
			font.pixelSize: 20
			text: Fullname
		}
	}
}
